Package org.apache.sling.cms.insights

## Interface InsightRequest

All Known Subinterfaces:
  `FileInsightRequest`, `PageInsightRequest`

    public interface InsightRequest

Represents an insight request

### Nested Class Summary

Nested Classes
`static class` `InsightRequest.TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.sling.api.resource.Resource` `getResource()` Gets the resource used to create this request.
`InsightRequest.TYPE` `getType()` Get the type of this request.

### Method Detail

#### getResource

    org.apache.sling.api.resource.Resource getResource()

Gets the resource used to create this request.

Returns:
  the resource used to create the request

#### getType

    InsightRequest.TYPE getType()

Get the type of this request.

Returns:
  the type